<template>
  <component :is="earComponent" v-if="earComponent" :color="props.color" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import Bob from './Bob.vue'
import Feathered from './Feathered.vue'
import Mohawk from './Mohawk.vue'
import Thick from './Thick.vue'
import Pixie from './Pixie.vue'
import Crew from './Crew.vue'
import { HairType } from '@/api'

const props = defineProps<{
  color: string
  type: HairType
}>()

const earComponent = computed<typeof Pixie | null>(() => {
  switch (props.type) {
    case 'crew':
      return Crew
    case 'bob':
      return Bob
    case 'feathered':
      return Feathered
    case 'mohawk':
      return Mohawk
    case 'thick':
      return Thick
    case 'pixie':
      return Pixie
    default:
    case 'none':
      return null
  }
})
</script>
